package com.jpsoft.shinestar.modules.base.dao;

import com.jpsoft.shinestar.modules.base.entity.ParkingRecord;
import com.jpsoft.shinestar.modules.common.dto.Sort;
import org.apache.ibatis.annotations.Param;
import org.springframework.stereotype.Repository;

import java.util.List;
import java.util.Map;

/**
 * @author 墨鱼_mo
 * @date 2020-4-14 9:40
 */
@Repository
public interface ParkingRecordDAO {

    int insert(ParkingRecord parkingRecord);

    ParkingRecord  findById(@Param("id") String id);

    void update(ParkingRecord parkingRecord);

    ParkingRecord  findBySerialNumber(@Param("serialNumber") String serialNumber);


    ParkingRecord findByOrderNumber(String orderNumber);

    List<ParkingRecord> search(Map<String, Object> searchParams, List<Sort> sortList);
}
